{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isSetOwnedElements()Z",
  "numberOfDefinitions": 3,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl$PartEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isSetOwnedMembers()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isSetOwnedTemplateSignature()Z": 3,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isSetRedefinitionContexts()Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isSetOwnedElements()Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isSetMembers()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isSetRedefinedElements()Z": 3,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isSetVisibility()Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl.getParts()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl.isSetFeatures()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl.isSetMembers()Z": 2,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResource()Lorg/eclipse/emf/ecore/resource/Resource;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isSetTemplateParameter()Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl.isSetOwnedMembers()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isSetNamespace()Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetPackage()Lorg/eclipse/uml2/uml/Package;": 3,
    "Lorg/eclipse/uml2/uml/internal/operations/ClassOperations.getExtensions(Lorg/eclipse/uml2/uml/Class;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isSetAttributes()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl.isSetAttributes()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isSetFeatures()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getCacheAdapter()Lorg/eclipse/uml2/common/util/CacheAdapter;": 2,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl.isSetRoles()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl$SuperClassEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I)V": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicIsSet(I)Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getInheritedMembers()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetOwningTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getGenerals()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getImportedMembers()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.isSetName()Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/EncapsulatedClassifierImpl.getOwnedPorts()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isSetOwner()Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 3
  }
}